## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global major 1
%global minor 70
%global patchlevel 0


# Generated by go2rpm 1.5.0
%bcond_without check

# https://github.com/digitalocean/doctl
%global goipath         github.com/digitalocean/doctl
Version:                1.70.0

%gometa

%global goname doctl

%global common_description %{expand:
The official command line interface for the DigitalOcean API}

%global golicenses      LICENSE.txt
%global godocs          CONTRIBUTING.md CHANGELOG.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        The official command line interface for the DigitalOcean API

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  go-rpm-macros

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build
export LDFLAGS="-X github.com/digitalocean/doctl.Major=%{major}  \
                -X github.com/digitalocean/doctl.Minor=%{minor} \
                -X github.com/digitalocean/doctl.Patch=%{patchlevel}  \
                -X github.com/digitalocean/doctl.Label=Fedora"
%gobuild -o %{gobuilddir}/cmd/%{name} %{goipath}/cmd/%{name}

%{gobuilddir}/cmd/%{name} completion bash > %{name}.bash
%{gobuilddir}/cmd/%{name} completion fish > %{name}.fish
%{gobuilddir}/cmd/%{name} completion zsh  > %{name}.zsh

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/cmd/* %{buildroot}%{_bindir}/

install -Dp %{name}.bash %{buildroot}%{_datadir}/bash-completion/completions/%{name}
install -Dp %{name}.fish %{buildroot}%{_datadir}/fish/vendor_completions.d/%{name}.fish
install -Dp %{name}.zsh  %{buildroot}%{_datadir}/zsh/site-functions/_%{name}


%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE.txt
%doc CONTRIBUTING.md CHANGELOG.md README.md
%{_bindir}/*
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/%{name}
%dir %{_datadir}/fish
%dir %{_datadir}/fish/vendor_completions.d
%{_datadir}/fish/vendor_completions.d/%{name}.fish
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_%{name}

%gopkgfiles

%changelog
* Fri Jan 28 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> 1.70.0-1
- Update to 1.70.0 - Closes rhbz#2047704

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.69.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 15 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> 1.69.0-1
- Update to 1.69.0 - Closes rhbz#2041008

* Thu Dec 09 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> 1.68.0-1
- Update to 1.68 and set global goname

* Thu Oct 07 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.66.0-1
- Update to 1.66.0 (BZ #2019416)

* Thu Oct 07 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.65.0-1
- Update to 1.65.0 (BZ #2011675)

* Mon Sep 20 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.64.0-3
- Add build version flags

* Sun Sep 05 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.64.0-2
- Add bash, fish and zsh completions

* Fri Sep 03 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.64.0-1
- Initial package

